Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80008 - nothing-done message too vague
Summary: nothing-done message too vague
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-18 19:03 UTC by Jeff Garzik
Modified: 2013-07-03 02:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 03:57:02 UTC


Attachments (Terms of Use)

Description Jeff Garzik 2002-12-18 19:03:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The message printed out when up2date does no work is too vague.  up2date fails
to distinguish between two vastly different no-work-done cases:
(1) package is present, does not need to be updated
(2) package is not available via RHN

Example message for when package is present and does not need updating:
[jgarzik@fokker jgarzik]$ sudo up2date -i -f binutils

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################
None of the packages you requested were found, or they are already updated.



Example message for when package is not available via RHN:
[jgarzik@fokker jgarzik]$ sudo up2date -i -f no_binutils

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################
None of the packages you requested were found, or they are already updated.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use up2date to install an app already present on system.
2.Use up2date to install an app not available via RHN.
3.Enjoy the vagueness :)


Actual Results:  The vague message "None of the packages you requested were
found, or they are already updated." appears in both cases.


Expected Results:  up2date should print out a different message for the two
cases, so that users may distinguish between the two.


Additional info:

I like bread and butter.  I like toast and jam.

Comment 1 Jeff Garzik 2002-12-18 19:11:33 UTC
Forgot to add the "package not present" output case, though it is pretty obvious:

[jgarzik@fokker jgarzik]$ sudo up2date -i -f no_binutils

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################
None of the packages you requested were found, or they are already updated.


Comment 2 Adrian Likins 2002-12-19 00:43:25 UTC
does:

up2date -u
...
All packages are currently up to date



up2date  glibc
...
The following packages you reguested are already updated:
glibc


up2date blippfoobarsdfsdf
...
The following packages you requested were not found:
blippfoobarsdfsdf


up2date glibc zsh sdfasdfs no_asdfasdf sadfasdfasdfasdf
...

The following packages you requested were not found:
sdfasdfs
no_asdfasdf
sadfasdfasdfasdf

The following packages you reguested are already updated:
glibc
zsh



Look better?  if so, that can probabaly go into the errata for 8.0

Comment 3 Jeff Garzik 2002-12-19 01:09:51 UTC
Yeah, looks great.



Note You need to log in before you can comment on or make changes to this bug.